import request from '@/utils/request'

// 获取布展列表
export function getList(data) {
  return request({
    url: '/bizExhibition/listByPage',
    method: 'post',
    data
  })
}

// 获取布展列表
export function getListPer(data) {
  return request({
    url: '/bizExhibition/listByPagePer',
    method: 'post',
    data
  })
}

// 新增
export function addDisplay(data) {
  return request({
    url: '/bizExhibition/add',
    method: 'post',
    data
  })
}
export function editDisplay(data) {
  return request({
    url: '/bizExhibition/update',
    method: 'put',
    data
  })
}

export function getDisplayById(params) {
  return request({
    url: '/bizExhibition/listById',
    method: 'get',
    params
  })
}

export function deleteDisplay(data) {
  return request({
    url: '/bizExhibition/delete',
    method: 'delete',
    data
  })
}

// 获取展览数量统计
export function getExhibitionStatistic(params) {
  return request({
    url: '/bizStatistic/getExhibitionStatistic',
    method: 'get',
    params
  })
}

// 获取展览审核列表
// export function getDisplayChecklist(data) {
//   return request({
//     url: '/bizExhibition/checklistByPagePer',
//     method: 'post',
//     data
//   })
// }

// 查询审批结果
export function getDisplayCheckById(params) {
  return request({
    url: '/bizExhibition/getCheckById',
    method: 'get',
    params
  })
}

// 审批
export function postCheck(data) {
  return request({
    url: '/bizCheck/check',
    method: 'post',
    data
  })
}

